unit main;

interface

uses
  Dbtables,//    
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  Tdbview = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    L1: TListBox;
    Button1: TButton;
    Action: TComboBox;
    l2: TListBox;
    l3: TListBox;
    L4: TListBox;
    Button2: TButton;
    DRIVElist: TListBox;
    Label1: TLabel;
    TabSheet3: TTabSheet;
    Label2: TLabel;
    Allparam: TListBox;
    Aliases: TListBox;
    Button3: TButton;
    Label3: TLabel;
    Label4: TLabel;
    TabSheet4: TTabSheet;
    Dt: TTreeView;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure L4DblClick(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure AliasesDblClick(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dbview: Tdbview;

implementation

{$R *.dfm}

var L :TStrings; //      
                 //  .


{           
    BDE.
    3  
1:   Combobox " "   
2:          
     Combobox ""   
3:         
     Combobox ""   
           3    
1: 
2:      
3:          }

procedure Tdbview.Button1Click(Sender: TObject);
begin
case  Action.ItemIndex of  //    

//===========          BDE
0:Session.GetDatabaseNames(l); //    
//========================================================

//               
1:Session.GetTableNames(l1.Items[l1.itemindex],//       
                        '',
                        true,  //      
                        false, //     BDE
                        l2.Items);//          
//=========================================================================

//          
2:Session.GetFieldNames(l1.Items[l1.itemindex],//       
                        l2.Items[l2.itemindex],// 
                        L3.Items);             //    
//======================================================================================

//    
3:Session.GetAliasNames(l); //      
//========================================================================
end;
end;

procedure Tdbview.FormCreate(Sender: TObject);
begin
l:=l1.items;
end;

//      ( )   
procedure Tdbview.Button2Click(Sender: TObject);
begin
Session.GetDriverNames(l4.Items);
end;

procedure Tdbview.L4DblClick(Sender: TObject);
begin
// 
if (sender as TListBox).Items.Count < 0 then exit;
Session.GetDriverParams(L4.Items[l4.itemindex],DRIVElist.Items);
//     
end;

procedure Tdbview.Button3Click(Sender: TObject);
begin
//    
Session.GetAliasNames(Aliases.Items);
end;
//====================================================

//    
procedure Tdbview.AliasesDblClick(Sender: TObject);
begin
 if (sender as TListBox).Items.Count < 0 then exit;
//      
Session.GetAliasParams(Aliases.Items[Aliases.itemindex],Allparam.Items);
Label4.Caption:=  //+     
       Session.GetAliasDriverName(Aliases.Items[Aliases.itemindex]);
end;

//======================================================================
//======================================================================
//                 

{$warnings off} //      ""    
procedure Tdbview.Button4Click(Sender: TObject);
var I,D,q :Integer;  //    ..
   S,Tables,Fields : TStringList;//    
    Mt: TTreeNode; //      
begin
try //            
with Dt.Items do begin
s:=TStringList.Create;           // 
Tables:=TStringList.Create;      //
fields:=TStringList.Create;      //
Session.GetDatabaseNames(s);     //   
for i := 0 to S.Count-1 do begin  try  //     
mt := Add(nil, S[i]);
Session.GetTableNames(S[i],'',true,true,Tables); //  
for D:=0 To  Tables.Count -1 do  begin           //         
AddChild(MT,Tables[d]);                          // 
Session.GetFieldNames(S[i],Tables[d],Fields);    //        
for q:= 0 to Fields.Count -1 do                   //
AddChild(Mt[d],Fields[q]);
end;
except
Continue;                                         //        
end;                                              //
end;
end;
Finally
s.Free;                     //  
Tables.Free;
Fields.Free;
end;
end;
//==============================================================================
end.
